#!/bin/sh
# This script read the file /etc/ppp/conf.ppp and split in
# many files, one per PPP dialout configuration.
# /etc/ppp/conf.ppp used to contain all configuration.
# These is now one file per configuration. Theses
# files have the extension "dconf". This should help people
# exchange working configuration. ISP should be able to support
# linux more easily this way also.
CONFIGS=`grep .channel /etc/ppp/conf.ppp | cut -f 2 '-d '`
for i in $CONFIGS
do
	grep $i. /etc/ppp/conf.ppp >/etc/ppp/$i.dconf
	chmod 600 /etc/ppp/*.dconf
done
